from leapp.actors import Actor
from leapp.models import Report
from leapp.tags import ApplicationsPhaseTag, IPUWorkflowTag
import os
from leapp.libraries.stdlib import run

class MigrateKdump(Actor):
    """
    Migrate kdump configuration.
    """

    name = 'migrate_kdump'
    consumes = ()
    produces = ()
    tags = (ApplicationsPhaseTag, IPUWorkflowTag)

#TODO:
    def process(self):
        if os.path.exists('/etc/kdump.conf') and os.path.exists('/etc/kdump.conf.rpmnew'):
            run(['mv','/etc/kdump.conf','/etc/kdump.conf.bak'])
            run(['mv','/etc/kdump.conf.rpmnew','/etc/kdump.conf'])